Subject: bug#11520: 24.1.50; delete-selection-mode conflicts with electric-pair-mode

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Oct 2012 11:10:39 -0400

> Yeah, I wasn't sure about delete-selection-pre-hook, but that's what
> the function was already called, so I wasn't going to change the API
> there.

Yes, the function name is better left as is (and really isn't bad), the
error was in the docstring (where you described the function as
a normal hook).

>> And the symbol symbol is named with "-hook" (rather than with
>> "-hooks") for normal hooks and "-functions" for abnormal hooks.
> Ah, I read that it was either one or the other in
> http://www.gnu.org/software/emacs/manual/html_node/elisp/Hooks.html.

Historically, "-hooks" was used, but they've (all?) been renamed to "-hook".

> Perhaps that documentation should discourage the -hooks convention?

Yes, thanks, the wording wasn't clear enough.  Fixed.

>> - there's no self-insert-iso in Emacs, so I'd rather not touch it.
> delete-selection-mode.el used to touch self-insert-iso, as does
> cua-rect.el.  Is this something to clean up, or is there something I'm
> missing?

I don't know where this self-insert-iso comes from, so we should just
remove it, but I'll keep this change for after the feature freeze.
For now, I simply left the setting as it used to be.

> Finally, I noticed that you created self-insert-uses-region-functions,
> but there is no defvar or docstring for that.  For future reference, is
> it normal that packages have hidden hooks like that?

No, it's not normal.  Thanks for catching this missing commit.

        Stefan